<html>
   <head>
      <meta http-equiv="pragma" content="no-cache">
      <meta http-equiv='content-type' content='text/html; charset=utf-8'>
      <link rel="stylesheet" type="text/css" href="/WmRoot/webMethods.css">
      <link rel="stylesheet" type="text/css" HREF="issprofiler.css">
      %invoke wia.pub.issprofiler.ui.util:getStyleMetadata%
         %loop StyleMetadata/additionalCssFiles%
            <link rel="stylesheet" type="text/css" href="%value%">
         %end%
      %end invoke%
      <title>IS Service Profiler - Dashboard - View Per Service</title>
      <script type="text/javascript" src="/WmRoot/webMethods.js.txt"></script>
      <script type="text/javascript" src="scripts/wia4dsp.js"></script>
      <script type="text/javascript" src="tablesorter/tablesorter.js"></script>
   </head>

   <body style="border: 0;" onLoad="setNavigation('ViewPerService.dsp', 'doc/OnlineHelp/PackageHelp.html#viewperservice', 'foo');">

      <table width="100%">
         <tr>
            <td class="menusection-Dashboard" colspan="2">Dashboard &gt; View Per Service</td>
         </tr>
      </table>
      <p>

      <table width="100%"> <!-- this table is being used only to set a left identation to the child tables -->

         %invoke wia.pub.issprofiler.ui.viewPerService:build%

            %ifvar message%
               <tr>
                  <td class="message" colspan="2">
                     %value message%
                  </td>
               </tr>
            %else%
               <tr>
                  <td width="10">&nbsp;</td>
                  <td>
                     <table width="100%">
                        %ifvar validationMessage%
                           <tr>
                              <td class="message" colspan="5">
                                 %value validationMessage%
                              </td>
                           </tr>
                           <tr> <td colspan="5"> &nbsp; </td> </tr>
                        %endif%
                        <tr class="heading">
                           <td colspan="5"> Snapshot Identification </td>
                        <tr>
                        <tr>
                           <td class="columnHeading">Sample Key  </td>
                           <td class="columnHeading">Server Name </td>
                           <td class="columnHeading">Begin Time  </td>
                           <td class="columnHeading">End Time    </td>
                           <td class="columnHeading-r" title="Max Thread Count">MTC</td>
                        </tr>
                        <tr>
                           <td class="oddrow-l">%value targetView/SampleKey      %</td>
                           <td class="oddrow-l">%value targetView/ServerName     %</td>
                           <td class="oddrow-l">%value targetView/SampleBeginTime%</td>
                           <td class="oddrow-l">%value targetView/SampleEndTime  %</td>
                           <td class="oddrow">  %value targetView/MaxThreadCount %</td>
                        </tr>
                     </table>

                     <br>
                     <table width="100%" sortable="true">
                        <thead>
                           <tr class="heading">
                              <td colspan="9">Snapshot Details per Service</td>
                           </tr>
                           <form method="post">
                              <tr class="oddrow-l">
                                 <td colspan="9">
                                    <table width="100%">
                                       <tr>
                                          <td class="oddrow" width="280">
                                             Minimum Own Elapsed Time (D&nbsp;HH:MM:SS.m):
                                          </td>
                                          <td class="oddrow-l">
                                             &nbsp;<input type="text" name="minElapsedTime" value="%value minElapsedTime%" size="15">
                                          </td>
                                          <td align="right" width="26">
                                             %ifvar isLoadFromXMLFile equals('true')%
                                                <img src="images/snapshot-from-xml-file.gif" />
                                             %endif%
                                          </td>
                                          <td align="right" width="26">
                                             %ifvar frozen equals('true')%
                                                <img src="images/snapshot-frozen.gif">
                                             %endif%
                                          </td>
                                       </tr>
                                       <tr>
                                          <td class="oddrow">
                                             Reported Times are averages:
                                          </td>
                                          <td class="oddrow-l" colspan="2">
                                             <input type="checkbox" name="isAverageTimes" %ifvar isAverageTimes equals('true')% checked %endif%>
                                          </td>
                                       </tr>
                                    </table>
                                 </td>
                              </tr>

                              <tr class="oddrow-l">
                                 <td colspan="3">
                                    <input type="submit" name="action" value="Refresh">
                                 </td>
                                 <td class="highColumnHeading-c" colspan="2">Count          </td>
                                 <td class="highColumnHeading-c" colspan="2">Own Code       </td>
                                 <td class="highColumnHeading-c" colspan="2">With Child Code</td>
                              </tr>
                           </form>
                           <tr>
                              <td class="columnHeading"   sortable="true">                                             Package    </td>
                              <td class="columnHeading"   sortable="true">                                             Service    </td>
                              <td class="columnHeading-c" sortable="true">                                             Type       </td>
                              <td class="columnHeading-r" sortable="true" sortOrder="desc">                            Calls      </td>
                              <td class="columnHeading-r" sortable="true" sortOrder="desc">                            Errors     </td>
                              <td class="columnHeading-r" sortable="true" sortOrder="desc" sortType="time" WIDTH="90"> Elapsed    </td>
                              <td class="columnHeading-r" sortable="true" sortOrder="desc" sortType="time" WIDTH="90"> Spent      </td>
                              <td class="columnHeading-r" sortable="true" sortOrder="desc" sortType="time" WIDTH="90"> Elapsed    </td>
                              <td class="columnHeading-r" sortable="true" sortOrder="desc" sortType="time" WIDTH="90"> Spent      </td>
                           </tr>
                        </thead>

                        <tbody>
                           <!-- Loop over the Service Details and print a line for each -->
                           %loop targetView/ServiceAccumulators%
                              <tr>
                                <script type="text/javascript">
                                   writeTag_TD("%value PackageName%"                            , "row-l"    , null, true );
                                   writeTag_TD("%value ServiceName%"                            , "row-l"    , null, false);
                                   writeTag_TD("<a href='BrowseSnapshot-fs.dsp?serviceName=%value ServiceName%'><img src='images/ns_%value ServiceType%.gif' style='border: 0;' title='Locate service in BrowseSnapshot'></a>"
                                                                                                , "rowdata"  , null, false);
                                   writeTag_TD("%value CallCount%"                              , "rowdata-r", null, false);
                                   writeTag_TD("%value ExceptionCount%"                         , "rowdata-r", null, false);
                                   writeTag_TD("%value OwnElapsedTime%"                         , "rowdata-r", null, false);
                                   writeTag_TD("%value OwnSpentTime%"                           , "rowdata-r", null, false);
                                   writeTag_TD("<span title='min=%value WithChildrenElapsedTimeMin% / max=%value WithChildrenElapsedTimeMax%'>%value WithChildrenElapsedTime%</span>"
                                                                                                , "rowdata-r", null, false);
                                   writeTag_TD("<span title='min=%value WithChildrenSpentTimeMin% / max=%value WithChildrenSpentTimeMax%'>%value WithChildrenSpentTime%</span>"
                                                                                                , "rowdata-r", null, false);
                                </script>
                              </tr>
                           %endloop%
                        <tbody>

                        <!-- Print Grand Totals row -->
                        <tfooter>
                           <tr>
                              %ifvar isAverageTimes equals('false')%
                                 <td class="columnFooter-r" colspan="5"> Grand Totals: </td>
                                 <td class="columnFooter-r"> %value targetView/GrandTotals/OwnElapsedTime%          </td>
                                 <td class="columnFooter-r"> %value targetView/GrandTotals/OwnSpentTime%            </td>
                                 <td class="columnFooter-r"> %value targetView/GrandTotals/WithChildrenElapsedTime% </td>
                                 <td class="columnFooter-r"> %value targetView/GrandTotals/WithChildrenSpentTime%   </td>
                              %else%
                                 <td class="columnFooter-r" colspan="9">&nbsp;</td>
                              %endif%
                           </tr>
                        </tfooter>
                     </table>
                  </td>
               </TR>
            %endif%
         %onerror%
            <tr>
               <td class="message" colspan="2">
                  An error occurred trying to build the report data.
                  Check by executing the '%value errorService%' service on a browser.
                  The error details are as follows: <br><br>
                  %value errorMessage%
               </td>
            </tr>
         %endinvoke%
      </table>

   </body>
</html>
